<?xml version="1.0" ?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Event/etc/events.xsd">
	<event name="catalog_product_save_after">
		<observer name="writetextai_writetextai_observer_catalog_productsaveafter_catalog_product_save_after"
            instance="WriteTextAI\WriteTextAI\Observer\Catalog\ProductSaveAfter"/>
	</event>
    <event name="catalog_category_save_after">
        <observer name="writetextai_writetextai_observer_catalog_categorysaveafter_catalog_category_save_after"
            instance="WriteTextAI\WriteTextAI\Observer\Catalog\CategorySaveAfter"/>
    </event>
    <event name="catalog_product_delete_after_done">
        <observer name="writetextai_writetextai_observer_catalog_productdeleteafter_catalog_product_delete_after_done"
            instance="WriteTextAI\WriteTextAI\Observer\Catalog\ProductDeleteAfter"/>
    </event>
    <event name="catalog_category_delete_after_done">
        <observer name="writetextai_writetextai_observer_catalog_categorydeleteafter_catalog_category_delete_after_done"
            instance="WriteTextAI\WriteTextAI\Observer\Catalog\CategoryDeleteAfter"/>
    </event>
    <event name="catalog_product_import_bunch_save_after">
        <observer name="writetextai_writetextai_observer_catalog_productimportbunchsaveafter_catalog_product_import_bunch_save_after"
            instance="WriteTextAI\WriteTextAI\Observer\Catalog\ProductImportBunchSaveAfter"/>
    </event>
    <event name="catalog_product_import_bunch_delete_after">
        <observer name="writetextai_writetextai_observer_catalog_productimportbunchdeleteafter_catalog_product_import_bunch_delete_after"
            instance="WriteTextAI\WriteTextAI\Observer\Catalog\ProductImportBunchDeleteAfter"/>
    </event>
</config>